| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes

# IG::Forms::ReporterConf Class Reference

Reporter configuration. More...

Inheritance diagram for IG::Forms::ReporterConf:
[legend]
Collaboration diagram for IG::Forms::ReporterConf:
[legend]

List of all members.

## Classes
class | ConsoleWritingStream
| A stream that redirects its input to the console. More...
## Public Types
enum | enReporterType { Basic, Console, Msgbox, ConsoleMsgbox }
## Public Member Functions
| ReporterConf (ReporterForms rf)
void | HideForm ()
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().
void | ShowThread ()
| Shows a fading message in a new thread.
void | ShowThread (string title)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;.
| ReporterConf (ReporterBase rf)
delegate void | FormDelegate (Form f)
| Reference to a function without arguments & return value.
delegate void | ControlDelegate (Control ct)
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().
## Public Attributes
string | Title = ""
enReporterType | ReporterType
## Protected Member Functions
virtual void | ApplyGuiReporterType ()
| Applies the reporter type as specified by the form's state.
virtual void | SetReporter (enReporterType type)
| Sets the current reporter of this calss according to the reporter type.
virtual void | SetReporter ()
| Sets the current reporter of this calss according to the private variable ReporterType.
void | ApplyGuiSettings ()
| Applies the settings of the user interface.
## Protected Attributes
string[] | reporters = new string[] {"Basic Reporter","Forms Reporter"}
ReporterBase | _reporter = null
bool | SpeechVisible = false
| Specifies whether the sub-panel for speech settings is visible or not.
## Properties
ReporterForms | reporter`[get, set]`
bool | IsBackground`[get, set]`
ReporterBase | R`[get, set]`
| Gets or sets the reporter for reporting internal errors of this class. This is different from the reporting that is being tested.
ReporterBase | CurrentReporter`[get, set]`
| Gets or sets the current reporter.
## Private Member Functions
| ReporterConf ()
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | FormThreadFunc ()
| Shows the window in a separate thread.
void | ConsoleForm_Load (object sender, System.EventArgs args)
void | ConsoleForm_Dispose (object sender, System.EventArgs e)
void | CloseBtn_Click (object sender, EventArgs e)
void | HideBtn_Click (object sender, EventArgs e)
void | ReportConfig_MouseMove (object sender, MouseEventArgs e)
void | ReportConfig_MouseDown (object sender, MouseEventArgs e)
void | ReportConfig_MouseClick (object sender, MouseEventArgs e)
| Enables closing the consform with right-clicking.
void | SetCommonEvents (Control f)
void | BtnCancel_Click (object sender, EventArgs e)
void | btnLaunch_Click (object sender, EventArgs e)
void | rbConsoleFormOn_CheckedChanged (object sender, EventArgs e)
void | rbMessageBoxOn_CheckedChanged (object sender, EventArgs e)
void | rbFadingMessageOn_CheckedChanged (object sender, EventArgs e)
void | txtFadingShowtime_TextChanged (object sender, EventArgs e)
void | txtFadingPortion_TextChanged (object sender, EventArgs e)
void | txtFadingBG_BackColorChanged (object sender, EventArgs e)
void | btnFadeBG_Click (object sender, EventArgs e)
void | txtFadeBGFinal_BackColorChanged (object sender, EventArgs e)
void | btnFadeBGFinal_Click (object sender, EventArgs e)
void | rbConsoleOn_CheckedChanged (object sender, EventArgs e)
| ReporterConf ()
void | SetTraceConsole (bool doset)
| Installs or removes the trace listener that echoes the trace output to a console.
delegate void | VoidDelegate ()
void | RecursiveControlDelegate (Control frm, ControlDelegate fd)
void | ReportNonimplemented (string method, Exception ex)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | FormThreadFunc ()
| Shows the window in a separate thread.
void | ReporterConf_Load (object sender, System.EventArgs args)
void | ReporterConf_MouseMove (object sender, MouseEventArgs e)
void | ReporterConf_MouseDown (object sender, MouseEventArgs e)
void | ReportConfig_MouseClick (object sender, MouseEventArgs e)
| Enables closing the consform with right-clicking.
void | SetCommonEvents (Control f)
void | BtnCancel_Click (object sender, EventArgs e)
void | btnLaunch_Click (object sender, EventArgs e)
void | rbBasic_CheckedChanged (object sender, EventArgs e)
void | rbConsole_CheckedChanged (object sender, EventArgs e)
void | rbMessageBox_CheckedChanged (object sender, EventArgs e)
void | rbConsoleMessageBox_CheckedChanged (object sender, EventArgs e)
void | rbTextWriterOn_CheckedChanged (object sender, EventArgs e)
void | chkTextWriterAppend_CheckedChanged (object sender, EventArgs e)
void | txtTextWriter_Leave (object sender, EventArgs e)
| Checks whether the directory containing the file exists, and applies the output file.
void | rbLogOn_CheckedChanged (object sender, EventArgs e)
void | chkLogAppend_CheckedChanged (object sender, EventArgs e)
void | txtLogFile_Leave (object sender, EventArgs e)
| Checks whether the directory containing the file exists, and applies the output file.
void | txtLogIndentSpacing_Leave (object sender, EventArgs e)
void | txtLogIndentInitial_Leave (object sender, EventArgs e)
void | rbTraceOn_CheckedChanged (object sender, EventArgs e)
void | chkTraceToConsole_CheckedChanged (object sender, EventArgs e)
void | rbConsoleOn_CheckedChanged (object sender, EventArgs e)
void | rbMessageBoxOn_CheckedChanged (object sender, EventArgs e)
void | btnTextWriter_Click (object sender, EventArgs e)
void | btnLogFile_Click (object sender, EventArgs e)
void | cmbSpeechLevelSignal_TextChanged (object sender, EventArgs e)
void | cmbSpeechLevelMessage_TextChanged (object sender, EventArgs e)
## Private Attributes
ReporterForms | _reporter = null
bool | bgthread = false
GroupBox | grpFadeMessage
Panel | pnlFadingMessageSwitch
RadioButton | rbFadeMessageOn
RadioButton | rbFadeMessageOff
Label | lblFadeBGFade
Button | btnFadeBGFinal
Button | btnFadeBG
Label | lblFadingBG
TextBox | txtFadeBGFinal
Label | lblFadingPortion
TextBox | txtFadeBG
Label | lblFadingShowtime
TextBox | txtFadePortion
TextBox | txtFadeShowtime
GroupBox | grpConsole
Panel | pnlConsoleSwitch
RadioButton | rbConsoleOn
RadioButton | rbConsoleOff
GroupBox | grpConsoleForm
Panel | pnlConsoleFormSwitch
RadioButton | rbConsoleFormOn
RadioButton | rbConsoleFormOff
GroupBox | grpMessageBox
Panel | pnlMessageBoxSwitch
RadioButton | rbMessageBoxOn
RadioButton | rbMessageBoxOff
GroupBox | grpTest
GroupBox | grpOutputLevel
RadioButton | rbOutVerbose
RadioButton | rbOutInfo
RadioButton | rbOutWarning
RadioButton | rbOutError
GroupBox | grpReportType
RadioButton | rbInfo
RadioButton | rbWarning
RadioButton | rbError
Button | btnLaunch
GroupBox | grpMultipleReports
CheckBox | chkMultiple
TextBox | txtNumLaunches
TextBox | txtDelay
Label | lblMultipleNum
Label | lblDelay
Label | label1
Label | lblMessage
TextBox | txtExMessage
Label | lblLocation
TextBox | txtMessage
TextBox | txtLocation
Label | lblDescription
Label | lblTitle
Panel | PnlStatus
Button | CancelBtn
Label | StatusLbl
CheckBox | chkThrowException
Thread | formthread = null
int | m_PrevX
int | m_PrevY
ReporterBase | _r = null
GroupBox | GrpTextWriter
CheckBox | chkTextWriterAppend
Panel | pnlTextWriter
RadioButton | rbTextWriterOn
RadioButton | rbTextWriterOff
TextBox | txtTextWriter
Label | lblTextWriter
NumericUpDown | txtLogIndentSpacing
Label | lblLogIndentIncrement
NumericUpDown | txtLogIndentInitial
Label | lblLogIndentInitial
CheckBox | ChkTraceVerbose
CheckBox | chkLogVerbose
Label | lblTextWriterNum
Label | lblLogNum
Button | btnTextWriter
Button | btnLogFile
GroupBox | grpSpeech
Panel | pnlSpeechSwitch
RadioButton | rbSpeechOn
RadioButton | rbSpeechOff
ComboBox | cmbSpeechLevelSignal
ComboBox | cmbSpeechLevelMessage
Label | lblSpeechLevelSignal
Label | lblSpeechLevelMessage
static IReporter | reptl = null
static string | filetl = null
TextWriterTraceListener | ConsoleListener = null
GroupBox | grpReporters
Panel | pnlReporters
RadioButton | rbBasic
RadioButton | rbConsole
RadioButton | rbConsoleMessageBox
RadioButton | rbMessageBox
GroupBox | grpLog
Panel | pnlLogFile
RadioButton | rbLogOn
RadioButton | rbLogOff
GroupBox | grpTrace
Panel | pnlTrace
RadioButton | rbTraceOn
RadioButton | rbTraceOff
CheckBox | chkTraceToConsole
CheckBox | chkLogAppend
TextBox | txtLogFile
Label | lblLogFile
## Static Private Attributes
static IReporter | reptw = null
static string | filetw = null

## Detailed Description

Reporter configuration.

## Member Enumeration Documentation

enum IG::Forms::ReporterConf::enReporterType

Enumerator:

  Basic |
  Console |
  Msgbox |
  ConsoleMsgbox |

## Constructor & Destructor Documentation

IG::Forms::ReporterConf::ReporterConf | ( |  | ) | `[inline, private]`

IG::Forms::ReporterConf::ReporterConf | ( | ReporterForms | rf | ) | `[inline]`

IG::Forms::ReporterConf::ReporterConf | ( |  | ) | `[inline, private]`

IG::Forms::ReporterConf::ReporterConf | ( | ReporterBase | rf | ) | `[inline]`

## Member Function Documentation

void IG::Forms::ReporterConf::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::ReporterConf::FormThreadFunc | ( |  | ) | `[inline, private]`

Shows the window in a separate thread.

void IG::Forms::ReporterConf::ConsoleForm_Load | ( | object | sender,
|  | System.EventArgs | args
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::ConsoleForm_Dispose | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::CloseBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::HideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::HideForm | ( |  | ) | `[inline]`

void IG::Forms::ReporterConf::CloseForm | ( |  | ) | `[inline]`

Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().

void IG::Forms::ReporterConf::ShowThread | ( |  | ) | `[inline]`

Shows a fading message in a new thread.

void IG::Forms::ReporterConf::ShowThread | ( | string | title | ) | `[inline]`

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG::Forms::ReporterConf::ReportConfig_MouseMove | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::ReportConfig_MouseDown | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::ReportConfig_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

Enables closing the consform with right-clicking.

void IG::Forms::ReporterConf::SetCommonEvents | ( | Control | f | ) | `[inline, private]`

void IG::Forms::ReporterConf::BtnCancel_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::btnLaunch_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbConsoleFormOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbMessageBoxOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbFadingMessageOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtFadingShowtime_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtFadingPortion_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtFadingBG_BackColorChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::btnFadeBG_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtFadeBGFinal_BackColorChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::btnFadeBGFinal_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbConsoleOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

virtual void IG::Forms::ReporterConf::ApplyGuiReporterType | ( |  | ) | `[inline, protected, virtual]`

Applies the reporter type as specified by the form's state.

virtual void IG::Forms::ReporterConf::SetReporter | ( | enReporterType | type | ) | `[inline, protected, virtual]`

Sets the current reporter of this calss according to the reporter type.

Parameters:

  type | Specifies what type of reporter should be set.

Reimplemented in IG::Lib::ReporterConfSpeech.

virtual void IG::Forms::ReporterConf::SetReporter | ( |  | ) | `[inline, protected, virtual]`

Sets the current reporter of this calss according to the private variable ReporterType.

void IG::Forms::ReporterConf::ApplyGuiSettings | ( |  | ) | `[inline, protected]`

Applies the settings of the user interface.

void IG::Forms::ReporterConf::SetTraceConsole | ( | bool | doset | ) | `[inline, private]`

Installs or removes the trace listener that echoes the trace output to a console.

Parameters:

  doset | If true then the appropriate trace listener is added, else it is removed.

delegate void IG::Forms::ReporterConf::VoidDelegate | ( |  | ) | `[private]`

delegate void IG::Forms::ReporterConf::FormDelegate | ( | Form | f | ) |

Reference to a function without arguments & return value.

delegate void IG::Forms::ReporterConf::ControlDelegate | ( | Control | ct | ) |

void IG::Forms::ReporterConf::RecursiveControlDelegate | ( | Control | frm,
|  | ControlDelegate | fd
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::ReportNonimplemented | ( | string | method,
|  | Exception | ex
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::ReporterConf::FormThreadFunc | ( |  | ) | `[inline, private]`

Shows the window in a separate thread.

void IG::Forms::ReporterConf::ReporterConf_Load | ( | object | sender,
|  | System.EventArgs | args
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::CloseForm | ( |  | ) | `[inline]`

Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().

void IG::Forms::ReporterConf::ReporterConf_MouseMove | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::ReporterConf_MouseDown | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::ReportConfig_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

Enables closing the consform with right-clicking.

void IG::Forms::ReporterConf::SetCommonEvents | ( | Control | f | ) | `[inline, private]`

void IG::Forms::ReporterConf::BtnCancel_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::btnLaunch_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbBasic_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbConsole_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbMessageBox_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbConsoleMessageBox_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbTextWriterOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::chkTextWriterAppend_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtTextWriter_Leave | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

Checks whether the directory containing the file exists, and applies the output file.

void IG::Forms::ReporterConf::rbLogOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::chkLogAppend_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtLogFile_Leave | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

Checks whether the directory containing the file exists, and applies the output file.

void IG::Forms::ReporterConf::txtLogIndentSpacing_Leave | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::txtLogIndentInitial_Leave | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbTraceOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::chkTraceToConsole_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbConsoleOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::rbMessageBoxOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::btnTextWriter_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::btnLogFile_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::cmbSpeechLevelSignal_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ReporterConf::cmbSpeechLevelMessage_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

## Member Data Documentation

ReporterForms IG::Forms::ReporterConf::_reporter = null`[private]`

bool IG::Forms::ReporterConf::bgthread = false`[private]`

GroupBox IG::Forms::ReporterConf::grpFadeMessage`[private]`

Panel IG::Forms::ReporterConf::pnlFadingMessageSwitch`[private]`

RadioButton IG::Forms::ReporterConf::rbFadeMessageOn`[private]`

RadioButton IG::Forms::ReporterConf::rbFadeMessageOff`[private]`

Label IG::Forms::ReporterConf::lblFadeBGFade`[private]`

Button IG::Forms::ReporterConf::btnFadeBGFinal`[private]`

Button IG::Forms::ReporterConf::btnFadeBG`[private]`

Label IG::Forms::ReporterConf::lblFadingBG`[private]`

TextBox IG::Forms::ReporterConf::txtFadeBGFinal`[private]`

Label IG::Forms::ReporterConf::lblFadingPortion`[private]`

TextBox IG::Forms::ReporterConf::txtFadeBG`[private]`

Label IG::Forms::ReporterConf::lblFadingShowtime`[private]`

TextBox IG::Forms::ReporterConf::txtFadePortion`[private]`

TextBox IG::Forms::ReporterConf::txtFadeShowtime`[private]`

GroupBox IG::Forms::ReporterConf::grpConsole`[private]`

Panel IG::Forms::ReporterConf::pnlConsoleSwitch`[private]`

RadioButton IG::Forms::ReporterConf::rbConsoleOn`[private]`

RadioButton IG::Forms::ReporterConf::rbConsoleOff`[private]`

GroupBox IG::Forms::ReporterConf::grpConsoleForm`[private]`

Panel IG::Forms::ReporterConf::pnlConsoleFormSwitch`[private]`

RadioButton IG::Forms::ReporterConf::rbConsoleFormOn`[private]`

RadioButton IG::Forms::ReporterConf::rbConsoleFormOff`[private]`

GroupBox IG::Forms::ReporterConf::grpMessageBox`[private]`

Panel IG::Forms::ReporterConf::pnlMessageBoxSwitch`[private]`

RadioButton IG::Forms::ReporterConf::rbMessageBoxOn`[private]`

RadioButton IG::Forms::ReporterConf::rbMessageBoxOff`[private]`

GroupBox IG::Forms::ReporterConf::grpTest`[private]`

GroupBox IG::Forms::ReporterConf::grpOutputLevel`[private]`

RadioButton IG::Forms::ReporterConf::rbOutVerbose`[private]`

RadioButton IG::Forms::ReporterConf::rbOutInfo`[private]`

RadioButton IG::Forms::ReporterConf::rbOutWarning`[private]`

RadioButton IG::Forms::ReporterConf::rbOutError`[private]`

GroupBox IG::Forms::ReporterConf::grpReportType`[private]`

RadioButton IG::Forms::ReporterConf::rbInfo`[private]`

RadioButton IG::Forms::ReporterConf::rbWarning`[private]`

RadioButton IG::Forms::ReporterConf::rbError`[private]`

Button IG::Forms::ReporterConf::btnLaunch`[private]`

GroupBox IG::Forms::ReporterConf::grpMultipleReports`[private]`

CheckBox IG::Forms::ReporterConf::chkMultiple`[private]`

TextBox IG::Forms::ReporterConf::txtNumLaunches`[private]`

TextBox IG::Forms::ReporterConf::txtDelay`[private]`

Label IG::Forms::ReporterConf::lblMultipleNum`[private]`

Label IG::Forms::ReporterConf::lblDelay`[private]`

Label IG::Forms::ReporterConf::label1`[private]`

Label IG::Forms::ReporterConf::lblMessage`[private]`

TextBox IG::Forms::ReporterConf::txtExMessage`[private]`

Label IG::Forms::ReporterConf::lblLocation`[private]`

TextBox IG::Forms::ReporterConf::txtMessage`[private]`

TextBox IG::Forms::ReporterConf::txtLocation`[private]`

Label IG::Forms::ReporterConf::lblDescription`[private]`

Label IG::Forms::ReporterConf::lblTitle`[private]`

Panel IG::Forms::ReporterConf::PnlStatus`[private]`

Button IG::Forms::ReporterConf::CancelBtn`[private]`

Label IG::Forms::ReporterConf::StatusLbl`[private]`

CheckBox IG::Forms::ReporterConf::chkThrowException`[private]`

string IG::Forms::ReporterConf::Title = ""

Thread IG::Forms::ReporterConf::formthread = null`[private]`

int IG::Forms::ReporterConf::m_PrevX`[private]`

int IG::Forms::ReporterConf::m_PrevY`[private]`

ReporterBase IG::Forms::ReporterConf::_r = null`[private]`

GroupBox IG::Forms::ReporterConf::GrpTextWriter`[private]`

CheckBox IG::Forms::ReporterConf::chkTextWriterAppend`[private]`

Panel IG::Forms::ReporterConf::pnlTextWriter`[private]`

RadioButton IG::Forms::ReporterConf::rbTextWriterOn`[private]`

RadioButton IG::Forms::ReporterConf::rbTextWriterOff`[private]`

TextBox IG::Forms::ReporterConf::txtTextWriter`[private]`

Label IG::Forms::ReporterConf::lblTextWriter`[private]`

NumericUpDown IG::Forms::ReporterConf::txtLogIndentSpacing`[private]`

Label IG::Forms::ReporterConf::lblLogIndentIncrement`[private]`

NumericUpDown IG::Forms::ReporterConf::txtLogIndentInitial`[private]`

Label IG::Forms::ReporterConf::lblLogIndentInitial`[private]`

CheckBox IG::Forms::ReporterConf::ChkTraceVerbose`[private]`

CheckBox IG::Forms::ReporterConf::chkLogVerbose`[private]`

Label IG::Forms::ReporterConf::lblTextWriterNum`[private]`

Label IG::Forms::ReporterConf::lblLogNum`[private]`

Button IG::Forms::ReporterConf::btnTextWriter`[private]`

Button IG::Forms::ReporterConf::btnLogFile`[private]`

GroupBox IG::Forms::ReporterConf::grpSpeech`[private]`

Panel IG::Forms::ReporterConf::pnlSpeechSwitch`[private]`

RadioButton IG::Forms::ReporterConf::rbSpeechOn`[private]`

RadioButton IG::Forms::ReporterConf::rbSpeechOff`[private]`

ComboBox IG::Forms::ReporterConf::cmbSpeechLevelSignal`[private]`

ComboBox IG::Forms::ReporterConf::cmbSpeechLevelMessage`[private]`

Label IG::Forms::ReporterConf::lblSpeechLevelSignal`[private]`

Label IG::Forms::ReporterConf::lblSpeechLevelMessage`[private]`

enReporterType IG::Forms::ReporterConf::ReporterType

IReporter IG::Forms::ReporterConf::reptw = null`[static, private]`

IReporter IG::Forms::ReporterConf::reptl = null`[private]`

string IG::Forms::ReporterConf::filetw = null`[static, private]`

string IG::Forms::ReporterConf::filetl = null`[private]`

TextWriterTraceListener IG::Forms::ReporterConf::ConsoleListener = null`[private]`

string [] IG::Forms::ReporterConf::reporters = new string[] {"Basic Reporter","Forms Reporter"}`[protected]`

ReporterBase IG::Forms::ReporterConf::_reporter = null`[protected]`

GroupBox IG::Forms::ReporterConf::grpReporters`[private]`

Panel IG::Forms::ReporterConf::pnlReporters`[private]`

RadioButton IG::Forms::ReporterConf::rbBasic`[private]`

RadioButton IG::Forms::ReporterConf::rbConsole`[private]`

RadioButton IG::Forms::ReporterConf::rbConsoleMessageBox`[private]`

RadioButton IG::Forms::ReporterConf::rbMessageBox`[private]`

GroupBox IG::Forms::ReporterConf::grpLog`[private]`

Panel IG::Forms::ReporterConf::pnlLogFile`[private]`

RadioButton IG::Forms::ReporterConf::rbLogOn`[private]`

RadioButton IG::Forms::ReporterConf::rbLogOff`[private]`

GroupBox IG::Forms::ReporterConf::grpTrace`[private]`

Panel IG::Forms::ReporterConf::pnlTrace`[private]`

RadioButton IG::Forms::ReporterConf::rbTraceOn`[private]`

RadioButton IG::Forms::ReporterConf::rbTraceOff`[private]`

CheckBox IG::Forms::ReporterConf::chkTraceToConsole`[private]`

CheckBox IG::Forms::ReporterConf::chkLogAppend`[private]`

TextBox IG::Forms::ReporterConf::txtLogFile`[private]`

Label IG::Forms::ReporterConf::lblLogFile`[private]`

bool IG::Forms::ReporterConf::SpeechVisible = false`[protected]`

Specifies whether the sub-panel for speech settings is visible or not.

## Property Documentation

ReporterForms IG::Forms::ReporterConf::reporter`[get, set, protected]`

bool IG::Forms::ReporterConf::IsBackground`[get, set]`

ReporterBase IG::Forms::ReporterConf::R`[get, set]`

Gets or sets the reporter for reporting internal errors of this class. This is different from the reporting that is being tested.

ReporterBase IG::Forms::ReporterConf::CurrentReporter`[get, set, protected]`

Gets or sets the current reporter.

The documentation for this class was generated from the following files:

- error_config.cs
- ReporterMsg_Config.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events